it-swarm-ja.com

Drushを使用してプロジェクトの特定のバージョンをインストールする方法

私はデフォルトで「drush dl module_name」が可能な最新のバージョンをインストールすることを確認しました。

Drush を使用してプロジェクトの特定のバージョンをインストールするにはどうすればよいですか?

8
meen

プロジェクトの特定のバージョンをダウンロードするには、「プロジェクト名」、ダッシュ、バージョン名の順に指定します。 -y引数は、すべてのプロンプトに対して「はい」と応答します。

モジュールの正確な「プロジェクト名」は、DOのモジュールのURLに含まれるものです。つまり、最後の「/」に続くすべてURL。 Organic Groups モジュールの場合、そのURLはhttps://www.drupal.org/project/ogであるため、ogになります。

例として、次のようなものを考えます。

drush dl og-7.x-1.3

このコマンドを使用すると、 Organic groups モジュール(「module_name」に置き換えます)、より具体的には 7.x-1.3バージョン をダウンロードします(置き換えます)必要な「バージョン」)。

次の例のように、モジュールの開発バージョンを指定することもできます(これにより、現在の 7.x-2.x-devバージョンのOrganic Groupsがダウンロードされます )。

drush dl og-7.x-2.x

詳細、サンプルなどについては、 http://www.drushcommands.com/drush-6x/pm/pm-download および/または http:// www。 drushcommands.com/drush-7x/pm/pm-download 。または drushを使用してプロジェクトの特定のバージョンをインストールする

特定のバージョンをダウンロードしたら、通常のDrupal手順に従ってモジュールを「有効」にします。

Drushを使用してモジュールも有効にする場合は、モジュールのバージョンを指定する必要はありません。上記の例を続行するには、7.x-1.3バージョンを有効にするには(ダウンした後、ロードした後)、次のようなコマンドを使用します。

drush en og
7
Pierre.Vriens

ダウンロードする特定のバージョンがわからない場合は、--selectオプションを使用できます。Drushは、利用可能な最新のバージョンをすべて表示します。

drush dl devel --select

包括的なリストの--allオプションを追加します。

drush pm-releases develからダウンロードしなくても、このリストを表示できます。

5
greg_1_anderson